Uploaded image for project: 'Livy'
  1. Livy
  2. LIVY-518

Add support for Spark 2.4

    XMLWordPrintableJSON

    Details

    • Type: Task
    • Status: Resolved
    • Priority: Major
    • Resolution: Fixed
    • Affects Version/s: 0.6.0
    • Fix Version/s: 0.6.0
    • Component/s: None
    • Labels:
      None

      Description

      Spark 2.4 is currently explicitly disallowed by Livy, since it checks for the max version that is currently 2.3.

      The internal REPL API in Spark has also changed in 2.4, so there will be changes needed in the interactive session code for things to work.

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                hyukjin.kwon Hyukjin Kwon
                Reporter:
                vanzin Marcelo Masiero Vanzin
              • Votes:
                2 Vote for this issue
                Watchers:
                5 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: